Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.clips
Class ClipsFilesExportProjectPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractExportPlugin
          edu.stanford.smi.protege.plugin.AbstractBackendExportPlugin
              edu.stanford.smi.protege.storage.clips.ClipsFilesExportProjectPlugin

All Implemented Interfaces:
  ExportProjectPlugin, Plugin, ClipsFilesPlugin, Disposable

    public class ClipsFilesExportProjectPlugin

extends AbstractBackendExportPlugin
implements ClipsFilesPlugin

Export plugins for the CLIPS file format.

Author:
  Ray Fergerson

Constructor Summary
`ClipsFilesExportProjectPlugin()`

Method Summary
`boolean` | `canExport(Project project)`
`boolean` | `canExportToNewFormat(Project project)`
`WizardPage` | `createExportToNewFormatWizardPage(ExportWizard wizard, Project project)`
`WizardPage` | `createExportWizardPage(ExportWizard wizard, Project project)`
`void` | `exportProject(Project project)`
`protected void` | `initializeSources(Project project, Collection errors)`
`protected void` | `overwriteDomainInformation(Project project, Collection errors)`
`void` | `setFiles(String clsesFileName, String instancesFileName)`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractBackendExportPlugin
`exportProjectToNewFormat, isCompatibleProject, saveAndDiscardCustomizations, setNewProjectPath`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractExportPlugin
`dispose, getName, handleErrors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Constructor Detail

### ClipsFilesExportProjectPlugin

    public ClipsFilesExportProjectPlugin()

Method Detail

### canExport

    public boolean canExport(Project project)

  Specified by:
    `canExport` in interface `ExportProjectPlugin`
  Overrides:
    `canExport` in class `AbstractExportPlugin`

### canExportToNewFormat

    public boolean canExportToNewFormat(Project project)

  Overrides:
    `canExportToNewFormat` in class `AbstractBackendExportPlugin`

### createExportWizardPage

    public WizardPage createExportWizardPage(ExportWizard wizard,
                                             Project project)

  Specified by:
    `createExportWizardPage` in interface `ExportProjectPlugin`

### createExportToNewFormatWizardPage

    public WizardPage createExportToNewFormatWizardPage(ExportWizard wizard,
                                                        Project project)

### overwriteDomainInformation

    protected void overwriteDomainInformation(Project project,
                                              Collection errors)

  Specified by:
    `overwriteDomainInformation` in class `AbstractBackendExportPlugin`

### initializeSources

    protected void initializeSources(Project project,
                                     Collection errors)

  Specified by:
    `initializeSources` in class `AbstractBackendExportPlugin`

### setFiles

    public void setFiles(String clsesFileName,
                         String instancesFileName)

  Specified by:
    `setFiles` in interface `ClipsFilesPlugin`

### exportProject

    public void exportProject(Project project)

  Specified by:
    `exportProject` in interface `ExportProjectPlugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.